Subject: Re: Git Garbage Collect Error.

From: [email-masked]
Date: Sat, 14 Jul 2012 05:36:30 +0200

On Thursday 12 July 2012 05:32:21 Jeff King wrote:

> [...] which means you are probably not even getting to use all 4Gb of your
> address space (my impression is that without special flags, 32-bit Windows
> processes are limited to 2Gb of address space).

Indeed, that's how windows partitions memory on 32-Bit Systems. See:

http://msdn.microsoft.com/en-us/library/windows/desktop/aa366912.aspx

As it's always with that strange company, they don't spend a word about how 
they do it in the emulated 32 bit environment. However, a short testing 
reveals that a 32 bit process running on 64 bit Windows 7 with 6 GiB memory is 
not able to malloc() more than 1 GiB at once (which is not a big suprise at 
all - as malloc'ed memory has to be continuous inside the address space).

So one might guess that there is no difference in memory partitioning for 32 
bit processes running on 64 bit OS.

SaCu